赣州市洪水风险预警系统三维版本
guoshilong
2023-02-21 8a6a1f340e249ca4e253f52a99a46ef44e7f0f00
widgets/FloodAnalysis/css/style.css
@@ -1,196 +1,135 @@
.jimu-widget-FloodAnalysis {
    width: 38% !important;
    width: 100%;
    height: 100%;
    position: fixed !important;
    /*left: 30px !important;*/
    top: 45px !important;
    border: 1px solid rgb(69, 154, 251);
    border-radius: 5px;
    background: rgba(35, 36, 58, .7);
    z-index: 41 !important;
    color: rgb(255, 255, 255);
    font-size: 22px;
    overflow: hidden;
    background: #fff;
}
.jimu-widget-FloodAnalysis div,
.jimu-widget-FloodAnalysis i,
.jimu-widget-FloodAnalysis ul,
.jimu-widget-FloodAnalysis li,
.jimu-widget-FloodAnalysis span,
.jimu-widget-FloodAnalysis div,
.jimu-widget-FloodAnalysis input,
.jimu-widget-FloodAnalysis h2 {
.jimu-widget-FloodAnalysis img,
.jimu-widget-FloodAnalysis table,
.jimu-widget-FloodAnalysis tr,
.jimu-widget-FloodAnalysis td,
.jimu-widget-FloodAnalysis th,
.jimu-widget-FloodAnalysis tbody,
.jimu-widget-FloodAnalysis thead{
    margin: 0;
    padding: 0;
}
.fold-btn {
    width: 50px;
    height: 30px;
    position: fixed;
    cursor: pointer;
    background-color: rgb(39, 118, 172);
    background-image: url(../images/fold_up.png);
    border-radius: 5px;
    opacity: 1;
    background-position: center;
    background-repeat: no-repeat;
.jimu-widget-FloodAnalysis a {
    text-decoration: none;
    color: black;
}
.open {
    background-image: url(../images/fold_up.png);
.jimu-widget-FloodAnalysis a:hover {
    text-decoration: none;
    color: #336699;
}
.close {
    background-image: url(../images/fold_down.png);
.jimu-widget-FloodAnalysis #tab {
    position: absolute;
    width: 100%;
    top: 0px;
    left: 0px;
    right: 0px;
    height: 100%;
    /*margin: 1px 3px 1px 3px;*/
    /*z-index: 9;*/
}
.content{
    height: 92vh;
}
.flood-top {
    text-align: center;
    display: inline-flex;
    margin-left: 35% !important;
}
.flood-middle{
    height: 90%;
}
.flood-middle .select-box {
    margin: 1% 0 0 1%;
}
.select-box > div {
    display: flex;
    margin-right: 3%;
}
.smx{
    margin-left: 13px !important;
}
.flood-top input {
    width: 100px;
    height: 25px;
    cursor: pointer;
}
.flood-top .choose-button {
    background-color: #1f81e0;
    border: none;
    color: white;
}
.flood-top .unchoose-button {
    background-color: white;
    border: none;
    color: #1f81e0;
}
.start-analysis-btn {
    width: 10% !important;
    height: 29px !important;
    margin-left: 2% !important;
    background: white;
    border: none;
}
.search-button, .save-button {
    width: 66px;
    line-height: 0px;
    height: 30px;
    background-color: white;
    border: none;
    cursor: pointer;
}
.search-button:hover, .save-button:hover {
    background-color: #1388ff;
    color: white;
}
.flood-middle .select-box select, .flood-middle .select-box input, .search-name-input {
    height: 30px;
    width: 260px;
}
.flood-middle .radio-box {
    text-align: center;
    margin-top: -1%;
}
.flood-middle .tip {
    font-size: 1px;
    color: #ff3737;
}
label {
    display: inline-block;
    /*width: 80px;*/
.jimu-widget-FloodAnalysis #tab .tabul {
    height: 30px;
    line-height: 30px;
    vertical-align: middle;
    text-align: justify;
    text-align-last: justify;
}
/**表格**/
.flood-middle .table-box {
    margin-top: 1%;
.jimu-widget-FloodAnalysis #tab ul {
    list-style: none;
    line-height: 30px;
    height: 30px;
}
.flood-middle .table-box table {
    width: 100%;
.jimu-widget-FloodAnalysis #tab .tabul ul li {
    cursor: pointer;
    float: left;
    list-style: none;
    text-align: center;
    padding: 0px 5px;
    margin-right: 4px;
    width: 90px;
    height: 30px;
    line-height: 30px;
    background: rgb(187, 186, 186);
    border-radius: 4px;
    color: #fff;
}
.flood-table-thead tr th {
    text-align: left;
    border-top: 1px solid #CFCFCF;
    border-right: 1px solid #CFCFCF;
    border-bottom: 1px solid #CFCFCF;
    color: #ffffff;
    background: rgb(39, 118, 172);
.jimu-widget-FloodAnalysis #tab ul li.on {
    /*border-top: 2px solid Saddlebrown;*/
    background: #094895;
}
.flood-tbody tr td {
    text-align: left;
    border-right: 1px solid #CFCFCF;
    border-bottom: 1px solid #CFCFCF;
    color: #ffffff;
.jimu-widget-FloodAnalysis #tab div {
    /*width: 100%;*/
    line-height: 24px;
    /*border-top: none;*/
    /*border: 1px solid #336699;*/
}
.flood-history .search-box {
    margin-top: 1%;
    margin-left: 1%;
.choose-button {
    background: #094895 !important;
    border: none;
    color: white;
}
.unchoose-button {
    background: rgb(187, 186, 186) !important;
    border: none;
    color: white;
}
/**模糊查询**/
#tablist{
    margin-top: 10px;
}
.select-box{
    border: 1px solid #d2d2d0;
    padding: 5px !important;
}
.search-box{
    border: 1px solid #d2d2d0;
    padding: 5px !important;
    margin-bottom: 1% !important;
}
/**河段选择框**/
.hd {
    position: relative;
    margin-bottom: 1% !important;
}
.hd input {
    width: 167px;
    /* top: 9px; */
    width: 260px;
    outline: none;
    border: 0pt;
    /* position: absolute; */
    line-height: 30px;
    /* left: 8px; */
    height: 30px;
    border: 1px solid #999;
    height: 26px;
    border: 1px solid rgba(160, 160, 156, 1);
    margin-left: 12px;
}
.hd select {
    position: absolute;
    left: 72px;
    width: 167px;
    left: 51px;
    top: -6px;
    width: 260px;
    height: 106px !important;
    outline: none;
    border: 1px solid #999;
    border: 1px solid rgba(160, 160, 156, 1);
    margin-top: 31px;
}
@@ -199,6 +138,66 @@
    color: white;
}
.smx{
    margin-bottom: 1% !important;
}
/**水面线选择框**/
.smx-select{
    width: 260px;
    height: 26px;
    border: 1px solid rgba(160, 160, 156, 1);
}
/**水位输入框**/
.sw-input{
    width: 201px;
    height: 26px;
    margin-left: 1px !important;
    border: 1px solid rgba(160, 160, 156, 1);
}
/**开始分析按钮、搜索按钮**/
.start-analysis-btn , .search-button{
    height: 26px;
    border: none;
    cursor: pointer;
    margin-left: 1% !important;
}
/**水位提示**/
.flood-middle .tip {
    font-size: 1px;
    color: #ff3737;
    margin-left: 7px;
}
/**历史风险搜索框**/
.search-name-input{
    width: 230px;
    height: 26px;
    border: 1px solid rgba(160, 160, 156, 1);
}
/**淹没分析表格**/
.analysis-box-list{
    /*margin-left: 1%;*/
    height: calc(100% - 218px);
    top:3px;
    overflow-y: auto;
    background-color: #fff;
    position: relative;
}
/**历史表格**/
.history-box-list{
    /*margin-left: 1%;*/
    height: calc(100% - 86px);
    top:3px;
    overflow-y: auto;
    background-color: #fff;
    position: relative;
}
/**分页器**/
.flood-analysis-pagination {
@@ -249,9 +248,9 @@
    width: 25px;
    height: 25px;
    line-height: 25px !important;
    background: rgb(39, 118, 172);
    background: #ffffff;
    border: 1px solid #ebebeb;
    color: #ffffff;
    color: #bdbdbd;
    font-size: 14px;
}
@@ -301,3 +300,138 @@
.flood-analysis-pagination .jump-btn {
    width: 38px !important;
}
/**洪水淹没分析表格**/
#analysis-tab1-grid .dgrid-cell_200 {
    width: 160px; /* force all columns to have SOME width */
    text-align: left;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}
#analysis-tab1-grid .dgrid-cell_80 {
    width: 80px; /* force all columns to have SOME width */
    text-align: center;
}
#analysis-tab1-grid .dgrid-cell_60 {
    width: 60px; /* force all columns to have SOME width */
    text-align: center;
}
#analysis-tab1-grid .dgrid-cell_40 {
    width: 40px; /* force all columns to have SOME width */
    text-align: center;
}
#analysis-tab1-grid .field-col1 {
    width: 500px;
}
#analysis-tab1-grid .field-col4 {
    width: 300px;
}
/**历史风险图表格**/
#history-tab2-grid .dgrid-cell {
    text-align: center;
}
/**进度条**/
.jimu-widget-FloodAnalysis .dong-progress {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    margin: auto;
    width: 500px;
    height: 0px;
    z-index: 33;
    background: rgba(59, 59, 59, 0.7);
}
.jimu-widget-FloodAnalysis .dong-progress h2 {
    margin: 10px 0;
    text-align: center;
    font-size: 16px;
    font-weight: 400;
    color: white;
}
.jimu-widget-FloodAnalysis .dong-progress .container {
    display: inline-block;
    width: 100%;
    height: 20px;
    padding-right: 10px;
    border: 1px solid #999;
    border-radius: 5px;
}
.jimu-widget-FloodAnalysis .dong-progress .container .h-100P {
    height: 100%;
}
.jimu-widget-FloodAnalysis .dong-progress .container .bar {
    display: inline-block;
    background: linear-gradient(to right, #ff4343, #48adff);
    color: white;
    font-weight: bold;
    padding: 0 5px;
    text-align: right;
    border-radius: 5px;
    border-right: 1px solid #999;
}
/**分析窗口**/
.evaluate-analysis{
    width: 465px;
    height: 808px;
    position: fixed;
    top: 10%;
    right: 0%;
    background: white;
    margin: 15px;
    border-radius: 4px;
    border: 1px solid white;
    z-index: 100;
}
.evaluate-title{
    height: 35px;
    line-height: 35px;
    font-weight: bold;
    font-size: 16px;
    box-shadow: 0px 1px 4px 0px rgb(0 0 0 / 40%);
    background-color: #32425d;
    color: white;
}
.evaluate-back-icon{
    background-image: url("../images/fold_up.png");
    width: 35px;
    height: 100%;
    position: relative;
    left: 88%;
}
.evaluate-lable{
    width: 70px;
    position: absolute;
    left: 2%;
}
.evaluate-box-top{
    height: 30%;
    width: 450px;
}
.evaluate-box-middle{
    height: 66%;
}
.evaluate-middle-first .column-1{
    display: flex;
}
.evaluate-middle-first .column-2{
    display: flex;
}